import { EventEmitter, OnInit } from '@angular/core';
import { MemberFriend } from '../inspire-library.interface';
import * as i0 from "@angular/core";
export declare class MyFriendsComponent implements OnInit {
    envUrl: string;
    friends: MemberFriend[];
    maxCount: number;
    viewAll: EventEmitter<any>;
    selectSingleFriend: EventEmitter<any>;
    findFriend: EventEmitter<any>;
    constructor();
    ngOnInit(): void;
    onViewAll(): void;
    onSelectFriend(friend: MemberFriend): void;
    onFindFriends(): void;
    static ɵfac: i0.ɵɵFactoryDef<MyFriendsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<MyFriendsComponent, "ins-my-friends", never, { "envUrl": "envUrl"; "friends": "friends"; "maxCount": "maxCount"; }, { "viewAll": "viewAll"; "selectSingleFriend": "selectSingleFriend"; "findFriend": "findFriend"; }, never, never>;
}
